#!/usr/bin/env bash
# 定义应用组名
group_name='ezhizao'
# 定义应用名称
app_name='ezhizao_yzbh_vue'
# 定义挂载目录名称
volume_name='yzbh'
# 定义前端端口
vue_port=80
# 定义应用版本 
app_version='1.0-SNAPSHOT'
echo '----copy dist----'
docker stop ${app_name}
echo '----stop container----'
docker rm ${app_name}
echo '----rm container----'
docker rmi ${group_name}/${app_name}:${app_version}
echo '----rm image----'
# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .
echo '----build image----'
docker run -p ${vue_port}:80 --name ${app_name} --network yzbh_network \
-e TZ="Asia/Shanghai" \
-v /home/nginx/html:/home/nginx/html \
-d ${group_name}/${app_name}:${app_version}
echo '----start container----'
docker system prune -f
echo '----clear docker----'
